/*******************************************************************************
 *	BdsDataFileResponse.h	Response Data File Access
 *			T.Barnaby,	BEAM Ltd,	2012-04-02
 *******************************************************************************
 */
#ifndef BdsDataFileResponse_H
#define	BdsDataFileResponse_H

#include <BdsDataFile.h>
#include <BdsD.h>

namespace Bds {

/// This class defines the interface for generic response data file access
class DataFileResponse : public DataFile {
public:
				DataFileResponse();
	
	int			getFeatures();								///< Get bitmask of supported features
	
				// Read routines
	BError			getMetaData(ChannelInfos& channelInfos, BUInt32 options, BList<DataError>& errors);		///< Return all known MetaData in the file

				// Write routines
	BError			setInfo(const DataInfo& dataInfo, const ChannelInfos& channelInfos, WriteOptionsList options);

	static DataFormat	getFormats();
private:
	BError			readSacPoleZero();
	BError			readRawFap();
	BError			readIdcResponse();
	BError			writeIdcResponse(Response& r);
	
	DataInfo		odataInfo;
	ChannelInfo		ochannelInfo;
	ChannelInfos		ochannelInfos;
};

}
#endif
