/*******************************************************************************
 *	BdsDataFileStationXml.h	Metadata Data Convertor
 *	T.Barnaby,	BEAM Ltd,	2021-01-14
 *******************************************************************************
 */
#ifndef BdsDataFileStationXml_H
#define	BdsDataFileStationXml_H

#include <BdsDataFile.h>
#include <BdsD.h>
#include <pugixml.hpp>

namespace Bds {

/// This class defines the interface for generic response data file access
class DataFileStationXml : public DataFile {
public:
				DataFileStationXml();
	
	int			getFeatures();								///< Get bitmask of supported features
	
				// Write routines
	BError			setInfo(const DataInfo& dataInfo, const ChannelInfos& channelInfos, WriteOptionsList options);

				// Read routines
	BError			getMetaData(ChannelInfos& channelInfos, BUInt32 options, BList<DataError>& errors);				///< Return all known MetaData in the file

	static DataFormat	getFormats();

private:
	DataInfo		odataInfo;
	ChannelInfos		ochannelInfos;
};

}
#endif
